Bug 6897 - установка пакетов не влияет на состояние в profile
: установка пакетов не влияет на состояние в profile
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-18 19:23 by
Modified: 2005-06-18 15:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-18 19:23:50
после установки дополнительных пакетов, флажок на icewm в режиме profiles   
остается снят. хотя в просмотре по категориям видно что он уже стоит
------- Comment #1 From 2005-05-18 20:39:47 -------
я затрудняюсь с визуализацией состояния _группы_ пакетов
Если есть идеи, use cases -- милости прошу.
------- Comment #2 From 2005-05-18 21:04:11 -------
(In reply to comment #1)
> я затрудняюсь с визуализацией состояния _группы_ пакетов
> Если есть идеи, use cases -- милости прошу.
> 
чем стандартный tristate не подходит ? 0/1/серый
------- Comment #3 From 2005-05-19 12:39:09 -------
в такой модели следующим пунктом было бы выяснение
'а что именно установлено/отсутствует в данной группе' --
бишь, затея сведётся к суррогатным группам и действиям над ними
подобно группам реальным. Не нравится.
Ещё идеи будут ?
------- Comment #4 From 2005-05-19 19:02:17 -------
(In reply to comment #3)
> в такой модели следующим пунктом было бы выяснение
> 'а что именно установлено/отсутствует в данной группе' --
не обязательно. 
профиль - это некое обобщение, профиль "icewm" может быть установлен, не
установлен, либо установлен частично. из "частично" можно перевести в одно из
двух нормальных состояний. и все, больше никаких действий. с "профилями" этого
будет достаточно.
а устанвока-удаление отдебльных пакетов - это уже другой уровень, котоырй
делается в обычном режиме.
------- Comment #5 From 2005-05-19 23:14:53 -------
А зачем профили (функциональность) и группы (пакетов) мешать?
------- Comment #6 From 2005-05-20 13:01:32 -------
(In reply to comment #5)
> А зачем профили (функциональность) и группы (пакетов) мешать?
так не надо мешать, я и говорю. функциональность может быть доступна либо
доступна частично (и состояние должно быть видно). все остальное - goto
нормальные группы.
------- Comment #7 From 2005-05-20 15:22:41 -------
из состояния 'частично присутствует' есть два перехода,
(это если считать, что мы в состоянии определить это состояние :)
тогда как в режиме groups у пакета только один.
в общем, давайте как-нибудь в другом месте обсуждать.
------- Comment #8 From 2005-05-20 15:34:54 -------
"имя, швестер, имя"

и давайте как-то по-разному обзовём:

- группы пакетов (RPM Group:),
- метагруппы, формируемые при создании дистрибутива ("Офисные приложения"),
- профили системы (в терминологии anaconda -- Server/Workstation).

Мыслей есть по всем пунктам, но пока сумбурных.
------- Comment #9 From 2005-05-20 16:27:57 -------
(In reply to comment #7)
> из состояния 'частично присутствует' есть два перехода,
состояние "функционального блока". клик раз - дополнить. 
клик по полному - убрать.

> тогда как в режиме groups у пакета только один.
у *пакета* - 1. а у "функционала" - есть варианты.

> (это если считать, что мы в состоянии определить это состояние :)
почему нет, если знаем какие пакеты в нее входят? 
package_a on, package_b on, package_c off
функциональная группа abc имеет серый статус. 
------- Comment #10 From 2005-05-20 17:46:34 -------
ок. три пакета образуют метагруппу, которая, как нам кажется,
привносит в систему некий функционал.
Всё, что мы можем из этого высосать:
- проставить её при первом запуске
- показать tristate состояние при последующих.
- (пере)установить до состояния 'полностью'

Что мы точно не можем:
- удалить её подчистую, поскольку это только вершины;
- выяснить, какая часть _функционала_ присутствует в 'сером' случае

Следствие: tristate состояние декоративно и может быть
урезано до бинарного.

Такой расклад, как мне кажется, годен только для
закрытия этой баги, не более :)
------- Comment #11 From 2005-05-20 18:01:28 -------
(In reply to comment #10)
> Что мы точно не можем:
> - удалить её подчистую, поскольку это только вершины;
да, действительно. 

> Следствие: tristate состояние декоративно и может быть
> урезано до бинарного.
ок, удаление одного пакета из группы делает группу "неустановленной".

достаточно будет отслеживать наличие всех компонентов, и тогда группа должна
быть помечена как установленная.  

а бага собственно и заключалась в том что группа установлена полностью, но этого
не видно.
------- Comment #12 From 2005-06-18 15:51:41 -------
fixed in alterator-packages-0.2-alt0.3